Hi All,

Today I have faced issue while installing webgate in one of our development node for SSO integration.

Environment details:

It’s a development node, OS- Linux x86_64,  oracle application server single sign server on 10g and OAM running in this node. We planned to Integrating Oracle Application Server Single Sign-On with Oracle Access Manager Step by Step using Doc ID 979827.1. Getting failed when tried to install Oracle_Access_Manager10_1_4_3_0_linux_OHS_WebGate in  webserver.

Error Details: No error in console, control exit from installation when supplied webgate ID.

Through following steps I came to know the real issue: 

  1. Verified webgate profile, and webgate inputs like webserver user:group, destination folder permission, and all. All inputs looks good.
  2. After  I have planned to re-configure the webgate using configureWebGate script.
  3. Copied the webgate specification from working environment(Open the https.conf file, goto end of the file, you can see webgate specification)
  4. Tried to restart the HTTP server after copied webgate specification into current httpd.conf.
  5. Unable to bring up the HTTP server and HTTP Server now gives the following errors

12/04/18 15:21:10 Start process

——–

/u01/apps/osinfra/Apache/Apache/bin/apachectl start: execing httpd

[Wed Apr 18 15:21:10 2012] [debug] mod_oc4j.c(1735): Initializing OC4J connection cache size to 1

[Wed Apr 18 15:21:10 2012] [debug] mod_onsint.c(1206): mod_onsint: after parsing OpmnHostPort directive, got a hostport with host:127.0.0.1, port:7011 and is_ssl:0.

[Wed Apr 18 15:21:10 2012] [debug] swwwap.c(1279): mod_plsql: plsql_create_server_config called

Syntax error on line 1236 of /u01/apps/osinfra/Apache/Apache/conf/httpd.conf:

Cannot load /u01/apps/oaminstall/OSSO_OAM_Webgate/access/oblix/lib/libgcc_s.so.1 into server:/u01/apps/oaminstall/OSSO_OAM_Webgate/access/oblix/lib/libgcc_s.so.1: wrong ELF class: ELFCLASS64             

Cause

  1. The cause of the issue is invalid / incorrect Webgate binaries.
  2. The binaries should not be 64 bit as OAM components are all 32 bit.
  3. The cause for this data has been determined as using 64 Bit Webgate with 32 Bit OAM.
  4. The correct OHS 32 Webgate is Oracle_Access_Manager10_1_4_3_0_linux_OHS_WebGate.

 Solution: 

  1. Please download 32 bit Oracle Access Manager 10.1.4.3.0  linux OHS10g WebGate and NOT 64 bit Webgate.

Or

       2.  Download the both GCC file(libstdc++.so.5, libgcc_s.so.1 ) for 32 bit or copied from working environment .

       3.   Re-Install the webgate using new GCC files.

 I hope this blog will help you. thanks.